Download it now!
Bug 32229 - Adjusts in the name of LO in pt-BR to "BrOffice" in the installer and menus
Summary: Adjusts in the name of LO in pt-BR to "BrOffice" in the installer and menus
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
3.3.0 RC1
Hardware: Other All
: medium major
Assignee: Michael Meeks
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 31865
  Show dependency treegraph
 
Reported: 2010-12-08 05:58 UTC by Claudio F Filho
Modified: 2011-01-14 06:20 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Menu entry to "Office" in Kde 4.x (94.26 KB, image/png)
2010-12-08 05:58 UTC, Claudio F Filho
Details
Menu entry to "Office" in Win XP (67.48 KB, image/png)
2010-12-08 06:00 UTC, Claudio F Filho
Details
Installer of LO to pt-BR (29.06 KB, image/png)
2010-12-08 06:00 UTC, Claudio F Filho
Details
Installer running, showing LO and BrO in the same screen. (29.06 KB, image/png)
2010-12-08 06:01 UTC, Claudio F Filho
Details
Installer running, showing LO and BrO in the same screen. (23.58 KB, image/png)
2010-12-08 09:24 UTC, Claudio F Filho
Details
proposed fix for the KDE4 desktop menu (2.37 KB, application/x-gzip)
2010-12-12 13:17 UTC, Petr Mladek
Details
Installer of LO in pt-BR for Mac OSX without the brand "BrOffice" (73.87 KB, image/jpeg)
2010-12-14 09:08 UTC, Claudio F Filho
Details
lang pack for pt-BR (73.60 KB, image/jpeg)
2010-12-14 09:09 UTC, Claudio F Filho
Details
Icon of LO in app folder after the installation. (32.21 KB, image/jpeg)
2010-12-14 09:10 UTC, Claudio F Filho
Details
inconsistent name of app in differents parts (59.60 KB, image/jpeg)
2010-12-14 09:13 UTC, Claudio F Filho
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Claudio F Filho 2010-12-08 05:58:06 UTC
Created attachment 40915 [details]
Menu entry to "Office" in Kde 4.x

This is a "continuation" of <U>bug 31770</U>.

The brand is ok, but the name of application, not. Need to change the name in the menu entries to "BrOffice <app>".

In attach, some screenshots.
Comment 1 Claudio F Filho 2010-12-08 06:00:01 UTC
Created attachment 40916 [details]
Menu entry to "Office" in Win XP
Comment 2 Claudio F Filho 2010-12-08 06:00:39 UTC
Created attachment 40917 [details]
Installer of LO to pt-BR
Comment 3 Claudio F Filho 2010-12-08 06:01:29 UTC
Created attachment 40918 [details]
Installer running, showing LO and BrO in the same screen.
Comment 4 Don't use this account, use tml@iki.fi 2010-12-08 06:12:23 UTC
The two last attachment images are the same, aren't they? Did you unintentionally attach the same image twice?
Comment 5 Claudio F Filho 2010-12-08 09:24:27 UTC
Created attachment 40925 [details]
Installer running, showing LO and BrO in the same screen.
Comment 6 Claudio F Filho 2010-12-08 09:25:31 UTC
(In reply to comment #4)
> The two last attachment images are the same, aren't they? Did you
> unintentionally attach the same image twice?

Sorry. Was a mistake. The correct file was attached.
Comment 7 Don't use this account, use tml@iki.fi 2010-12-08 10:23:59 UTC
BTW, what about the "LibreOffice ... Installation Files" folder (visible in the last screenshot), should also that name be localised then to "BrOffice ... Installation Files", if the intent is that the name "LibreOffie" should not be visible anywhere?
Comment 8 Petr Mladek 2010-12-08 11:04:53 UTC
Michael, it seems that the BrOffice branding is still not complete in the installer. Could you please have a look?

The menu entry in KDE 4.x is something different. I guess that it might be solved by another desktop-integration package; the BrOffice-specific one is not build now. I am going to look at the KDE 4.x problem.
Comment 9 Petr Mladek 2010-12-12 13:17:03 UTC
Created attachment 41045 [details]
proposed fix for the KDE4 desktop menu

Michael, any chance that you could verify it?

0002-we-use-broffice-instead-of-broffice.org-fdo-32229.patch sets PRODUCTLIST to use broffice instead of broffice.org; it basically used only in sysui to generate the desktop integration packages

0001-fix-broffice-branding-packages-fdo-32229.patch sets broffice instead of broffice.org on the remaining locations; also it creates /opt/broffice symlink;
finally, it fixes packaging of the other compat symlinks to be consisten between the various distros

Note that I tried to create the compat symlink it a main package, e.g. libreoffice3. It was not possible because we use /opt/libreoffice as the PREDEFINED_PROGDIR; It is top level and all files must be under this directory; Note that OOo use PREDEFINED_PROGDIR=/opt. We modified it to get rid of the 3-layer structure.

0003-add-broffice-dekstop-integration-to-the-install-set.patch adds the broffice rpms/deb to the installation set if ENABLE_BROFFICE is TRUE.

Heh, it needed many iterations. I did some testing and was happy.
Comment 10 Michael Meeks 2010-12-13 06:27:03 UTC
Hi Claudio:

> Installer running, showing LO and BrO in the same screen.

If you rename the executable away from starting with 'BrOffice' - you can get mixed branding; I'll switch this to be based purely on locale for the next build, which should stop that being possible.

Can you confirm- that you renamed it away from BrOffice<something>.exe ?
Comment 12 Michael Meeks 2010-12-14 08:43:18 UTC
Ok - the windows installer bug identified in comments 2 and 3 are now fixed - if we are in pt_BR locale / country - then we use BrOffice, irrespective of the executable name.

I suspect the names in the windows menu there, need fixing in translation.
Comment 13 Claudio F Filho 2010-12-14 09:06:02 UTC
Hi Michael

(In reply to comment #10)
> Can you confirm- that you renamed it away from BrOffice<something>.exe ?

I tried to rename the installer and haven't effect. In Mac OSX is the same situation. I added some screenshots of OSX.

I tried to change the setup.ini in the installer for win too, but without success.
Comment 14 Claudio F Filho 2010-12-14 09:08:12 UTC
Created attachment 41112 [details]
Installer of LO in pt-BR for Mac OSX without the brand "BrOffice"
Comment 15 Claudio F Filho 2010-12-14 09:09:56 UTC
Created attachment 41113 [details]
lang pack for pt-BR

The text of window of lang pack installer have some problem. Encoding problems?
Comment 16 Claudio F Filho 2010-12-14 09:10:55 UTC
Created attachment 41114 [details]
Icon of LO in app folder after the installation.
Comment 17 Claudio F Filho 2010-12-14 09:13:19 UTC
Created attachment 41115 [details]
inconsistent name of app in differents parts

The icon in app folder is called "LibreOffice". When open the app, have the menu toolbar, at top, called too "LibreOffice". In the start screen, with the "BrOffice" brand, and in the "about.." too.
Comment 18 Michael Meeks 2010-12-14 10:08:06 UTC
Pushed some %PRODUCTNAME_BR substitutions to all the .ulf files used in the installer and .desktop file creation.
I -hope- this fixes the outstanding issues for all platforms; just triggering a new windows build.

Claudio - it would really help, if you could split this into a bug per platform, (if they are different strings / UIs ;-), so we can feel like we are making progress closing them (and track that better).

Thanks.
Comment 19 Michael Meeks 2010-12-16 03:54:45 UTC
discovered a remaining MSI artwork branding issue on the internal MSI file; split to bug#32435# and made a blocker.
Comment 20 sophie 2011-01-14 06:20:05 UTC
I'm closing this one. Please Claudio check in the last RC3 and open a bug per platform/strings if it remains problems. Thanks! Sophie